Package de.willuhn.jameica.hbci.gui.chart

# Class ChartDataSaldoVerlauf

java.lang.Object
de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo
de.willuhn.jameica.hbci.gui.chart.ChartDataSaldoVerlauf

All Implemented Interfaces:
  `ChartData`, `LineChartData`

public class ChartDataSaldoVerlauf extends AbstractChartDataSaldo
Implementierung eines Datensatzes fuer die Darstellung des Saldenverlaufs.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`ChartDataSaldoVerlauf(Konto konto, List<Value> data)`
ct.

## Method Summary

Modifier and Type
Method
Description
`List`
`getData()`
Liefert die zu zeichnende Datenreihe.
`String`
`getLabel()`
Liefert das Label der Datenreihe.

### Methods inherited from class de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo

`getColor, getCurve, getDataAttribute, getLabelAttribute, getLineStyle, getLineWidth, isFilled, isLegendEnabled, setColor, setLegendEnabled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartDataSaldoVerlauf

public ChartDataSaldoVerlauf(Konto konto, List<Value> data)
ct.

Parameters:
  `konto` - das Konto, fuer das das Diagramm gemalt werden soll.
  `data` -

## Method Details

### getData

public List getData()
Description copied from interface: `ChartData`
Liefert die zu zeichnende Datenreihe.

Returns:
  Datenreihe.
See Also:
  - `ChartData.getData()`

### getLabel

public String getLabel() throws RemoteException
Description copied from interface: `ChartData`
Liefert das Label der Datenreihe.

Returns:
  Label der Datenreihe.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getLabel()`